package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;
import cz.moneta.test.harness.support.mwf.MwfRequest;

public interface MWFBOL extends MwfRequest<MWFBOL, MWFBOLResponse> {

    @Parameter(name = "BusinessType")
    MWFBOL businessType(String businessType);
    @Parameter(name = "ClientInstId")
    MWFBOL clientInstId(String clientInstId);
    @Parameter(name = "ClientInstKey")
    MWFBOL clientInstKey(Long clientInstKey);
    @Parameter(name = "ClientInstSysId")
    MWFBOL clientInstSysId(String clientInstSysId);
    @Parameter(name = "ClientUniKey")
    MWFBOL clientUniKey(Long clientUniKey);
}
